Yes, there is a permutation of LISP for CP/M-86, and this is it! XLISP is an
interpreted object-oriented programming language, with many
nice features and capabilities. Even rabid LISP freaks can now feel "at
home" with CP/M-86. XLISP is public domain. 